Apache Tomcat 9.0.0-M1 < 9.0.83 のリクエストスマグリング

high Web App Scanning プラグイン ID 114120

概要

Apache Tomcat 9.0.0-M1 < 9.0.83 のリクエストスマグリング

説明

リモートホストにインストールされている Apache Tomcat のバージョンは、8.5.x ~ 8.5.95、9.0.0-M1 ~ 9.0.82、10.1.0-M1 ~ 10.1.15 です。このためこれは、リクエストスマグリングの脆弱性の影響を受けます。Tomcat が HTTP Trailer ヘッダーを正しく解析しませんでした。ヘッダーサイズの制限を超える特別に細工されたトレーラーヘッダーにより、Tomcat が単一のリクエストを複数のリクエストとして処理する可能性があります。これにより、リバースプロキシの背後にある場合にリクエストスマグリングが発生する可能性があります。

スキャナーはこれらの問題を悪用しようとしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

Apache Tomcat バージョン 9.0.83 以降にアップグレードしてください。

参考資料

https://tomcat.apache.org/security-10.html#Fixed_in_Apache_Tomcat_9.0.83

プラグインの詳細

深刻度: High

ID: 114120

タイプ: remote

ファミリー: Component Vulnerability

公開日: 2023/12/6

更新日: 2023/12/6

スキャン テンプレート: api, basic, full, pci, scan

リスク情報

VPR

リスクファクター: Low

スコア: 3.6

CVSS v2

リスクファクター: High

Base Score: 7.8

ベクトル: CVSS2#AV:N/AC:L/Au:N/C:N/I:C/A:N

CVSS スコアのソース: CVE-2023-46589

CVSS v3

リスクファクター: High

Base Score: 7.5

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:H/A:N

CVSS スコアのソース: CVE-2023-46589

脆弱性情報

CPE: cpe:2.3:a:apache:tomcat:*:*:*:*:*:*:*:*

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2023/11/13

脆弱性公開日: 2023/11/13

参照情報

CVE: CVE-2023-46589